<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>SI-BKD Bidang Pengabdian</title>
  </head>
  <body>
    <div layout:fragment="main" class="container">
      <div class="row justify-content-center">
        <div class="col-md-9">
          <form
            class="form-horizontal"
            th:action="@{/bidang/pengabdian/update}"
            th:object="${laporanBkd}"
            method="post"
            enctype="multipart/form-data"
          >
            <div class="card">
              <div
                class="card-header bg-white p-4 justify-content-center"
                align="center"
              >
                <h3 class="text-black">Form Tambah Item BKD</h3>
                <h3 class="text-black">Bidang Pengabdian</h3>
              </div>

              <div class="card-body p-4">
                <div class="row justify-content-center">
                  <div class="col-md-10">
                    <div class="mb-3 row">
                      <label for="kegiatan" class="col-sm-4 col-form-label"
                        >Jenis Kegiatan</label
                      >
                      <div class="col-sm-8">
                        <select
                          class="form-select"
                          id="kegiatan"
                          name="kegiatan"
                          th:field="*{kegiatan}"
                          aria-label="Default select example"
                          onchange="masukandetail()"
                          required
                        >
                          <option th:value="${null}">
                            Pilih jenis kegiatan
                          </option>
                          <option
                            th:each="data : ${listKegiatan}"
                            th:text="${data.namaKegiatan}"
                            th:value="${data.id}"
                          >
                            sdasd
                          </option>
                        </select>
                      </div>
                    </div>

                    <div class="alert alert-info aa" id="alert1"></div>
                    <div class="mb-3 row">
                      <label for="namaKegiatan" class="col-sm-4 col-form-label"
                        >Nama Kegiatan</label
                      >
                      <div class="col-sm-8">
                        <textarea
                          class="form-control"
                          id="namaKegiatan"
                          name="namaKegiatan"
                          th:field="*{namaKegiatan}"
                          rows="3"
                          required
                        ></textarea>
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label
                        for="buktiPenugasan"
                        class="col-sm-4 col-form-label"
                        >Bukti penugasan</label
                      >
                      <div class="col-sm-8">
                        <textarea
                          class="form-control"
                          id="buktiPenugasan"
                          name="buktiPenugasan"
                          th:field="*{buktiPenugasan}"
                          rows="2"
                          required
                        ></textarea>
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="jumlahSks" class="col-sm-4 col-form-label"
                        >Jumlah Beban SKS</label
                      >
                      <div class="col-sm-8">
                        <input
                          type="number"
                          class="form-control"
                          name="jumlahSks"
                          id="jumlahSks"
                          th:field="*{jumlahSks}"
                          required
                        />
                        <!--                    <p class="text-primary">Gunakan "." titik untuk bilangan desimal..</p>-->
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="masaPenugasan" class="col-sm-4 col-form-label"
                        >Masa Penugasan</label
                      >
                      <div class="col-sm-4">
                        <input
                          type="number"
                          class="form-control"
                          id="masaPenugasan"
                          name="masaPenugasan"
                          th:field="*{masaPenugasan}"
                          required
                        />
                        <!--                    <p class="text-primary">Gunakan "." titik untuk bilangan desimal..</p>-->
                      </div>
                      <div class="col-sm-4 align-middle">
                        <span class="align-middle">semester</span>
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="buktiKinerja" class="col-sm-4 col-form-label"
                        >Bukti kinerja</label
                      >
                      <div class="col-sm-8">
                        <textarea
                          class="form-control"
                          id="buktiKinerja"
                          rows="2"
                          name="buktiKinerja"
                          th:field="*{buktiKinerja}"
                          required
                        ></textarea>
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="url" class="col-sm-4 col-form-label"
                        >Link Url</label
                      >
                      <div class="col-sm-8">
                        <input
                          type="text"
                          class="form-control"
                          name="url"
                          th:field="*{url}"
                          id="url"
                        />
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="sksTerpenuhi" class="col-sm-4 col-form-label"
                        >Jumlah Realisasi SKS</label
                      >
                      <div class="col-sm-8">
                        <input
                          type="number"
                          class="form-control"
                          name="sksTerpenuhi"
                          th:field="*{sksTerpenuhi}"
                          id="sksTerpenuhi"
                          required
                        />
                        <!--                    <p class="text-primary">Gunakan "." titik untuk bilangan desimal..</p>-->
                      </div>
                    </div>

                    <input type="hidden" name="id" th:field="*{id}" />
                  </div>
                </div>
              </div>
              <div class="card-footer bg-white p-4">
                <a
                  class="btn btn-warning float-start"
                  th:href="@{/bidang/pengabdian}"
                  >Batal</a
                >
                <button type="submit" class="btn btn-success float-end">
                  Simpan
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>

    <div layout:fragment="footer" class="script">
      <script>
        $("#kegiatan").select2({
          theme: "bootstrap-5",
          width: $(this).data("width")
            ? $(this).data("width")
            : $(this).hasClass("w-100")
            ? "100%"
            : "style",
          placeholder: $(this).data("placeholder"),
        });
      </script>
      <script>
        $(function () {
          var status = document.getElementById("kegiatan").value;

          if (status == "") {
            $(".aa").hide();
            $("#alert1").text("");
          }
        });
      </script>
      <script>
        function masukandetail() {
          var x = document.getElementById("kegiatan").value;
          // $('#isiDetailAnggaran').val(x)
          if (x == "") {
            $(".aa").hide();
          } else {
            console.log(x);
            const url = "/api/kegiatan/detail?id=" + x;
            $.getJSON(url, function (data) {
              $("#alert1").text(data.template);
              $(".aa").show();
            });
          }
        }
      </script>

      <script>
        function validateSize(input, n) {
          const fileSize = input.files[0].size / 1024; // in KB
          // if (n == 1) {
          //     var form = document.getElementById('form1');
          // } else if (n == 2) {
          //     var form = document.getElementById('form2');
          // } else if (n == 3) {
          //     var form = document.getElementById('form3');
          // }else {
          //     var form = document.getElementById('form4');
          // }
          if (fileSize > 1000) {
            event.target.value = "";
            alert("Ukuran file melebihi 1 MB");
          } else {
            // input.form.submit();
          }
        }
      </script>
    </div>
  </body>
</html>
